# Generated from arachni-1.6.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name arachni

Name: rubygem-%{gem_name}
Version: 1.6.1.3
Release: 1%{?dist}
Summary: Arachni is a feature-full, modular, high-performance Ruby framework aimed towards helping penetration testers and administrators evaluate the security of web applications
License: Arachni Public Source License v1.0
URL: https://www.arachni-scanner.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
BuildArch: noarch

%description
Arachni is a feature-full, modular, high-performance Ruby framework aimed
towards
helping penetration testers and administrators evaluate the security of web
applications.
It is smart, it trains itself by monitoring and learning from the web
application's
behavior during the scan process and is able to perform meta-analysis using a
number of
factors in order to correctly assess the trustworthiness of results and
intelligently
identify (or avoid) false-positives.
Unlike other scanners, it takes into account the dynamic nature of web
applications,
can detect changes caused while travelling through the paths of a web
application’s
cyclomatic complexity and is able to adjust itself accordingly. This way,
attack/input
vectors that would otherwise be undetectable by non-humans can be handled
seamlessly.
Moreover, due to its integrated browser environment, it can also audit and
inspect
client-side code, as well as support highly complicated web applications which
make
heavy use of technologies such as JavaScript, HTML5, DOM manipulation and
AJAX.
Finally, it is versatile enough to cover a great deal of use cases, ranging
from
a simple command line scanner utility, to a global high performance grid of
scanners, to a Ruby library allowing for scripted audits, to a multi-user
multi-scan web collaboration platform.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/arachni_rpcd
%{_bindir}/arachni_reporter
%{_bindir}/arachni_restore
%{_bindir}/arachni_multi
%{_bindir}/arachni_script
%{_bindir}/arachni_rest_server
%{_bindir}/arachni_reproduce
%{_bindir}/arachni_rpcd_monitor
%{_bindir}/arachni_console
%{_bindir}/arachni_rpc
%{_bindir}/arachni
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/bin
%{gem_instdir}/components
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/logs
%{gem_instdir}/profiles
%{gem_instdir}/ui
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/arachni.gemspec
%{gem_instdir}/spec

%changelog
* Sun May 29 2022 mockbuilder - 1.6.1.3-1
- Initial package
